System 2.0.0.0 4.0.0.0 System.Enum

The node type determines the way in which NetBIOS names are resolved to Internet Protocol (IP) addresses. The following table shows the name resolution method for each node type.

Node type

Resolve name to IP address

Broadcast

Uses NetBIOS name queries.

Peer2Peer

Uses a NetBIOS name server (NBNS), for example, Windows Internet Name Service (WINS).

Mixed

Attempts to resolve by first using NetBIOS name queries and then using an NBNS.

Hybrid

Attempts to resolve by first using an NBNS and then using a NetBIOS name query.

This enumeration is used to specify values for the property.

Specifies the Network Basic Input/Output System (NetBIOS) node type.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType

  A broadcast node.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType

  A hybrid node.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType

  A mixed node.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType

  A peer-to-peer node.

- Field
  2.0.0.0
  4.0.0.0
  System.Net.NetworkInformation.NetBiosNodeType

  An unknown node type.